package org.kde.qt;


/** {@link QTable} emits these signals */
public interface QTableSignals {
	void pressed( int row, int col, int button, QPoint mousePos );
	void verticalSliderPressed();
	void horizontalSliderPressed();
	void valueChanged( int row, int col );
	void contentsMoving( int x, int y );
	void dropped( QDropEvent e );
	void currentChanged( int row, int col );
	void destroyed( QObject obj );
	void contextMenuRequested( int row, int col, QPoint pos );
	void verticalSliderReleased();
	void selectionChanged();
	void doubleClicked( int row, int col, int button, QPoint mousePos );
	void horizontalSliderReleased();
	void clicked( int row, int col, int button, QPoint mousePos );
}

